x
This website is using cookies. We use cookies to ensure that we give you the best experience on our website. More info. That's Fine
HPC:Factor Logo 
 

.NET Compact Framework 1.0 SP3 for Windows CE 2.00 & 2.11

Handheld PC News

Posted 11 years ago | News | 12 comments | Author: Chris Tilley

Microsoft .net Logo
With thanks to Stefanov for the news submission.

CodePlex have released an updated version of the .net Compact Framework runtime that we reported on back in October of last year.

Since we last reported on the project, an extensive amount of work has been undertaken by the CodePlex team, who have expanded the CPU support from just SH3 to now offering binary versions for SH4, MIPS, StrongARM and x86 processors.

If that wasn't enough, the project is now stated as offering runtime framework support for both CE 2.00 and Handheld PC Professional plus it has been brought up to offer similar functionality as that of the formal .net Compact Framework SP3 offering.

View More

CodePlex
Posted on 11 January 2008 at 11:21

Comments on this article

There are 12 comments for this news item.

's Avatar 11 January 2008 12:09:16 PM
Great news...heading to CodePlex to download.
timagal's Avatar timagal 11 January 2008 2:45:45 PM
Same here... Great news.
C:Amie's Avatar C:Amie 11 January 2008 7:40:36 PM
It certainly is interesting stuff, now that it is up to SP3 someone needs to try a portability test between CE 4.2 and the RTL's under 2.x.

If there is a portability match then future developers need to drop VC++.
CE Geek's Avatar CE Geek 12 January 2008 10:21:31 PM
I have been helping with beta testing, but so far I don't see how to get an actual existing .NET CF application to work on a CE 2.xx device.
C:Amie's Avatar C:Amie 13 January 2008 7:28:24 AM
I assume that it supports all of the standard managed framework languages; VB.net and C# managed C++ native, it doesn't actually say which it supports on the site.
CE Geek's Avatar CE Geek 13 January 2008 6:33:31 PM
Nothing I've tried works so far.
C:Amie's Avatar C:Amie 14 January 2008 6:21:14 AM
Are you certain that you have been using .net 1.0 apps, as 2.0 will not run.
CE Geek's Avatar CE Geek 14 January 2008 3:46:41 PM
Quite certain. These are apps that have worked fine on several H/PC 2000 devices.
C:Amie's Avatar C:Amie 14 January 2008 7:17:56 PM
Humm, any response from CodePlex on this?
CE Geek's Avatar CE Geek 14 January 2008 7:32:03 PM
No direct answer on it yet. Still working on it.
cmonex's Avatar cmonex 12 February 2008 1:42:47 PM
my god, why would we *need* to drop vc++? :o
C:Amie's Avatar C:Amie 24 February 2008 8:41:33 AM
your god, the .net languages are far more user accessible to those starting out in Windows CE programming, and do not have the API minefield that the C RTL does. Having a communal managed application layer for CE 2.00 through to 6 would highly beneficial for application development and convincing application development for the CE core.

Or application developers can use
C++ 5 + the CETK1 for CE 1
C++ 6 + the CETK2 for CE 2
C++ 6 or eVC3 for 2.11 and 3
Visual Studio 2003 for 4.0 and 4.1 and just about 4.2
eVC4 for 4.1 and 4.2
Visual Studio 2005 for CE 4.2, 5 and 6
Commenting has either been disabled on this article or you are not logged in. Click here to login or register, its free!

Note: Anonymous commenting is disabled in order to keep the quality of responses to a high standard.